## fastdnaml 1.2.2

=== source/Makefile ===
# Makefile is courtesy of Marc Baudoin -- babafou@babafou.eu.org
# On many systems I prefer the gcc compiler over the native compiler
#
     CC = cc # or gcc
 CFLAGS = -O
LDFLAGS = -lm
     RM = rm -f

all : fastDNAml

fastDNAml : fastDNAml.o
	$(CC) $(CFLAGS) -o fastDNAml fastDNAml.o $(LDFLAGS)

fastDNAml.o : fastDNAml.c fastDNAml.h
	$(CC) $(CFLAGS) -c fastDNAml.c

clean :
	$(RM) fastDNAml.o

=== debian/changelog ===
fastdnaml (1.2.2-18) unstable; urgency=medium

  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1096609)
  * d/control: declare compliance to standards version 4.7.2.
  * hardening.patch: normalise Last-Update timestamp.
  * fixup-implicit-function-declaration.patch: dep3 header.
  * fortify.patch: new: fortify binaries hardening.
  * d/*: identified new upstream source location.
  * d/watch: update watch file to new upstream location.

 -- Étienne Mollier <emollier@debian.org>  Sun, 02 Mar 2025 10:38:27 +0100

fastdnaml (1.2.2-17) unstable; urgency=medium

  * gcc-14.patch: new: fix implicit return type for "main". (Closes: #1074947)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Jul 2024 21:08:42 +0200

fastdnaml (1.2.2-16) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with
    implicit-function-declaration (Closes: #1066709)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 07 Apr 2024 14:47:48 +0530

fastdnaml (1.2.2-15) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 11:52:15 +0100

fastdnaml (1.2.2-14) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Do not hard code cc
    Closes: #928790
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 11 May 2019 09:42:22 +0200

fastdnaml (1.2.2-13) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Add registry entry

  [ Liubov Chuprikova ]
  * Add autopkgtest
    Closes: #890787
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * debhelper 11
  * Add a call to dh_clean

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 09 Jul 2018 09:17:57 +0200

fastdnaml (1.2.2-12) unstable; urgency=medium

  * Add README.source that program is not available upstream any more
  * Fake watch file
  * Moved packaging to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * hardening

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 13:55:51 +0200

fastdnaml (1.2.2-11) unstable; urgency=low

  * debian/upstream/metadata: Add citation information
  * cme fix dpkg-control
  * debhelper 9
  * DEP5
  * add fake debian/watch
  * propagate hardening options

 -- Andreas Tille <tille@debian.org>  Sat, 09 Jan 2016 18:35:08 +0100

fastdnaml (1.2.2-10) unstable; urgency=low

  * debian/control:
    - Use ftp download site as homepage
    - Fixed Vcs fields
    - Standards-Version: 3.9.2 (no changes needed)
    - Do not Build-Depend cdbs, quilt any more
  * Debhelper 8 (control + compat)
  * debian/source/format: 3.0 (quilt)
  * removed debian/README.source which becomes superfluous by using
    source format 3.0 (quilt)
  * Use Debian menu instead of desktop files to not confuse Gnome users
    Closes: #639996

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2011 12:08:00 +0100

fastdnaml (1.2.2-9) unstable; urgency=low

  * Debhelper 7
  * Standards-Version 3.8.3 (added README.source)
  * Added notice about missing upstream homepage in long description
  * debian/patches/Makefile.patch: Inject this file as patch rather
    than injecting it into the source directory
  * debian/fastDNAml-util: Moved this file to the debian directory
    rather than injecting it into the source directory
  * debian/rules: removed dh_desktop call

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2009 13:14:01 +0200

fastdnaml (1.2.2-8) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself to the uploaders field.
    - Removed the [Biology] tag from the short description.
  * debian/patches/{fast*,Makefile.diff,tests.patch} shipped some plain files
    as patches. I created the files properly and deleted the corresopnding
    patches.
  * Annotated debian/patches/scripts.patch according to Debian-Med's policy.
  * Corrected a link in debian/fastDNAml.1.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 18:42:52 +0900

fastdnaml (1.2.2-7) unstable; urgency=low

  * Homepage of project vanished, used archive.org as homepage tag
  * Removed XB-Tag which is not used
  * debian/rules: Do not auto generate debian/control, removed
    debian/control.in
  * Standards-Version: 3.7.3 (no changes needed)
  * Switched to quilt
  * Group maintenance
    - Maintainer: Debian-Med Packaging Team
      <debian-med-packaging@lists.alioth.debian.org>
    - DM-Upload-Allowed: yes
    - Uploaders: Andreas Tille <tille@debian.org>
    - Vcs-Browser, Vcs-Svn
  * Removed encoding tag from desktop file

 -- Andreas Tille <tille@debian.org>  Mon, 18 Feb 2008 14:20:49 +0100

fastdnaml (1.2.2-6) unstable; urgency=low

  * Switched to cdbs
  * Standards-Version: 3.7.2 (no changes necessary)
  * Setting DebTags
  * Added desktop file

 -- Andreas Tille <tille@debian.org>  Sat,  9 Sep 2006 10:56:41 +0200

fastdnaml (1.2.2-5) unstable; urgency=low

  * The "I'm against war" release
    Mankind must put an end to war before war puts an end to mankind.
        -- John F. Kennedy
  * Standards-Version: 3.5.9
  * Use debian/compat for debhelper compatibility
  * Changed compile option from -g to -Wall
  * Added documentation to doc-base
  * Fixed typo in scripts/iterate_rates

 -- Andreas Tille <tille@debian.org>  Sat, 26 Apr 2003 14:46:00 +0200

fastdnaml (1.2.2-4) unstable; urgency=low

  * Install fastDNAml_doc_1.2.txt as NCBI Vibrant Toolkit compatible
    helpfile instead of just putting it just into /usr/share/doc/fastdnaml.

 -- Andreas Tille <tille@debian.org>  Sat,  3 Nov 2001 20:55:22 +0100

fastdnaml (1.2.2-3) unstable; urgency=low

  * New maintainer


=== debian/control ===
Source: fastdnaml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/fastdnaml
Vcs-Git: https://salsa.debian.org/med-team/fastdnaml.git
Homepage: https://www.life.illinois.edu/gary/programs/fastDNAml.html
Rules-Requires-Root: no

Package: fastdnaml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: phylip
Description: Tool for construction of phylogenetic trees of DNA sequences
 fastDNAml is a program derived from Joseph Felsenstein's version 3.3 DNAML
 (part of his PHYLIP package).  Users should consult the documentation for
 DNAML before using this program.
 .
 fastDNAml is an attempt to solve the same problem as DNAML, but to do so
 faster and using less memory, so that larger trees and/or more bootstrap
 replicates become tractable.  Much of fastDNAml is merely a recoding of the
 PHYLIP 3.3 DNAML program from PASCAL to C.
 .
 Note that the homepage of this program is not available any more and so
 this program will probably not see any further updates.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for fastDNAml using dh
# Andreas Tille <tille@debian.org>, GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# dh_clean expects a Makefile which was just removed by redoing the patches ...
# This hack circumvents the problem
override_dh_clean:
	dh_clean
	rm -fr source/fastDNAml

override_dh_auto_install:
	# do nothing

override_dh_install:
	dh_install
	cp -a docs/fastDNAml_doc_1.2.txt `pwd`/debian/`dh_listpackages`/usr/share/`dh_listpackages`/fastdnaml_help
	# the scripts have to be executable thus mentioning these in debian/install is not enough
	cp -a scripts/*                  `pwd`/debian/`dh_listpackages`/usr/lib/`dh_listpackages`/bin
	chmod 755 `pwd`/debian/`dh_listpackages`/usr/lib/`dh_listpackages`/bin/*

=== debian/watch ===
version=4
https://www.life.illinois.edu/gary/programs/fastDNAml/ \
fastDNAml_@ANY_VERSION@@ARCHIVE_EXT@
